%define upstream_name    Statistics-Descriptive
%define upstream_version 3.0612

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Module of basic descriptive statistical functions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Statistics/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Benchmark)
BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::More)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
This module provides basic functions used in descriptive statistics. It has an
object oriented design and supports two different types of data storage and
calculation objects: sparse and full. With the sparse method, none of the data
is stored and only a few statistical measures are available. Using the full
method, the entire data set is retained and additional functions are available.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%make_install

%files 
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/Statistics
%{_mandir}/*/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 3.61.200-2.mga6
+ Revision: 1033342
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 3.61.200-1.mga6
+ Revision: 1002296
- update to 3.0612

* Fri Feb 19 2016 umeabot <umeabot> 3.60.900-2.mga6
+ Revision: 968153
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 3.60.900-1.mga6
+ Revision: 851392
- update to 3.0609

* Wed Oct 15 2014 umeabot <umeabot> 3.60.700-4.mga5
+ Revision: 744505
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 3.60.700-3.mga5
+ Revision: 733413
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 3.60.700-2.mga5
+ Revision: 686228
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 3.60.700-1.mga5
+ Revision: 588643
- update to 3.0607

* Sat Oct 19 2013 umeabot <umeabot> 3.60.500-2.mga4
+ Revision: 527301
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 3.60.500-1.mga4
+ Revision: 439881
- update to 3.0605

* Sun Jan 13 2013 umeabot <umeabot> 3.60.400-2.mga3
+ Revision: 372764
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 3.60.400-1.mga3
+ Revision: 286494
- update to 3.0604

* Tue Jun 05 2012 jquelin <jquelin> 3.60.300-1.mga3
+ Revision: 255466
- update to 3.0603

* Mon Mar 05 2012 jquelin <jquelin> 3.40.0-1.mga2
+ Revision: 218797
- update to 3.0400

* Thu Feb 23 2012 jquelin <jquelin> 3.30.0-1.mga2
+ Revision: 213178
- update to 3.0300

* Sat Nov 19 2011 takashi <takashi> 3.20.300-1.mga2
+ Revision: 169058
- update to 3.0203

  + jquelin <jquelin>
    - update to 3.0202

* Tue Jan 18 2011 jquelin <jquelin> 3.20.100-1.mga1
+ Revision: 22830
- cleaning spec file
- imported package perl-Statistics-Descriptive


* Fri Nov 12 2010 Jérôme Quelin <jquelin@mandriva.org> 3.20.100-1mdv2011.0
+ Revision: 596649
- update to 3.0201

* Mon Jul 12 2010 Jérôme Quelin <jquelin@mandriva.org> 3.20.0-1mdv2011.0
+ Revision: 551199
- update to 3.0200

* Thu Jul 23 2009 Jérôme Quelin <jquelin@mandriva.org> 3.10.0-1mdv2010.0
+ Revision: 398939
- update to 3.0100
- using %%perl_convert_version
- fixed license field

* Sun Jun 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.0000-1mdv2010.0
+ Revision: 383542
- update to new version 3.0000

* Fri May 15 2009 Jérôme Quelin <jquelin@mandriva.org> 2.9-1mdv2010.0
+ Revision: 376141
- update to new version 2.9

* Sun May 10 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.8-1mdv2010.0
+ Revision: 373930
- update to new version 2.8

* Mon May 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.7-1mdv2010.0
+ Revision: 371794
- update to new version 2.7

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 2.6-10mdv2009.0
+ Revision: 258384
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 2.6-9mdv2009.0
+ Revision: 246453
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 2.6-7mdv2008.1
+ Revision: 136347
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.6-7mdv2008.0
+ Revision: 86910
- rebuild


* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.6-6mdv2007.0
- Rebuild

* Tue Dec 20 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.6-5mdk
- spec cleanup
- better URL
- %%mkrel

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.6-4mdk
- fix buildrequires in a backward compatible way

* Wed Aug 04 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.6-3mdk
- rpmbuildupdate aware

* Wed Feb 25 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.6-2mdk
- fixed dir ownership (distlint)

* Mon Jan 05 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.6-1mdk
- first mdk release

